---
updatedAt: 2026-06-29T03:06:08.000Z
---

Fetch the complete documentation index at: https://developers.fellow.ai/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# List Recordings

List recordings with optional filters and pagination.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Fellow Developer API",
    "version": "1.0.2",
    "description": "Create custom integrations and workflows with Fellow's meeting data"
  },
  "paths": {
    "/api/v1/recordings": {
      "post": {
        "operationId": "apps_developer_api_api_get_recordings",
        "summary": "List Recordings",
        "parameters": [],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/RecordingsListResponse"
                }
              }
            }
          }
        },
        "description": "List recordings with optional filters and pagination.",
        "tags": [
          "Recordings"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/GetRecordingsRequest"
              }
            }
          },
          "required": true
        },
        "security": [
          {
            "DeveloperAPIKeyAuth": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "ActionItemAssignee": {
        "description": "Represents an assignee of an action item.",
        "properties": {
          "id": {
            "title": "Id",
            "type": "string"
          },
          "full_name": {
            "title": "Full Name",
            "type": "string"
          },
          "email": {
            "title": "Email",
            "type": "string"
          }
        },
        "required": [
          "id",
          "full_name",
          "email"
        ],
        "title": "ActionItemAssignee",
        "type": "object"
      },
      "ActionItemStatus": {
        "enum": [
          "Done",
          "Archived",
          "Incomplete"
        ],
        "title": "ActionItemStatus",
        "type": "string"
      },
      "Recording": {
        "properties": {
          "id": {
            "title": "Id",
            "type": "string"
          },
          "title": {
            "title": "Title",
            "type": [
              "string",
              "null"
            ]
          },
          "created_at": {
            "format": "date-time",
            "title": "Created At",
            "type": [
              "string",
              "null"
            ]
          },
          "updated_at": {
            "format": "date-time",
            "title": "Updated At",
            "type": [
              "string",
              "null"
            ]
          },
          "started_at": {
            "format": "date-time",
            "title": "Started At",
            "type": "string"
          },
          "ended_at": {
            "format": "date-time",
            "title": "Ended At",
            "type": [
              "string",
              "null"
            ]
          },
          "event_call_url": {
            "title": "Event Call Url",
            "type": [
              "string",
              "null"
            ]
          },
          "event_guid": {
            "title": "Event Guid",
            "type": [
              "string",
              "null"
            ]
          },
          "note_id": {
            "title": "Note Id",
            "type": [
              "string",
              "null"
            ]
          },
          "user_has_calendar_event": {
            "title": "User Has Calendar Event",
            "type": [
              "boolean",
              "null"
            ]
          },
          "transcript": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Transcript",
                "nullable": true
              }
            ]
          },
          "ai_notes": {
            "items": {
              "$ref": "#/components/schemas/Recap"
            },
            "title": "Ai Notes",
            "type": [
              "array",
              "null"
            ]
          },
          "media_url": {
            "description": "Pre-signed URL for the recording media file. Requires privileged API key.",
            "title": "Media Url",
            "type": [
              "string",
              "null"
            ]
          }
        },
        "title": "Recording",
        "type": "object"
      },
      "PageInfo": {
        "description": "Information about a page returned in a paginated response.",
        "properties": {
          "cursor": {
            "title": "Cursor",
            "type": [
              "string",
              "null"
            ]
          },
          "page_size": {
            "title": "Page Size",
            "type": "integer"
          }
        },
        "required": [
          "page_size"
        ],
        "title": "PageInfo",
        "type": "object"
      },
      "PaginatedRequestParams": {
        "description": "Parameters sent in a request to paginate a queryset.",
        "properties": {
          "cursor": {
            "title": "Cursor",
            "type": [
              "string",
              "null"
            ]
          },
          "page_size": {
            "default": 20,
            "exclusiveMinimum": 0,
            "maximum": 50,
            "minimum": 1,
            "title": "Page Size",
            "type": "integer"
          }
        },
        "title": "PaginatedRequestParams",
        "type": "object"
      },
      "PaginatedResponse_Recording_": {
        "properties": {
          "page_info": {
            "$ref": "#/components/schemas/PageInfo"
          },
          "data": {
            "items": {
              "$ref": "#/components/schemas/Recording"
            },
            "title": "Data",
            "type": "array"
          }
        },
        "required": [
          "page_info",
          "data"
        ],
        "title": "PaginatedResponse[Recording]",
        "type": "object"
      },
      "RecordingsListResponse": {
        "description": "Response containing a paginated list of recordings.",
        "properties": {
          "recordings": {
            "$ref": "#/components/schemas/PaginatedResponse_Recording_"
          }
        },
        "required": [
          "recordings"
        ],
        "title": "RecordingsListResponse",
        "type": "object"
      },
      "GetRecordingsRequest": {
        "description": "Request body for getting recordings with optional filters and pagination.",
        "properties": {
          "pagination": {
            "allOf": [
              {
                "$ref": "#/components/schemas/PaginatedRequestParams",
                "nullable": true
              }
            ]
          },
          "include": {
            "allOf": [
              {
                "$ref": "#/components/schemas/RecordingIncludableExpensiveField",
                "nullable": true
              }
            ]
          },
          "filters": {
            "allOf": [
              {
                "$ref": "#/components/schemas/RecordingFilters",
                "nullable": true
              }
            ]
          },
          "media_url": {
            "allOf": [
              {
                "$ref": "#/components/schemas/MediaUrlConfig",
                "nullable": true
              }
            ]
          }
        },
        "title": "GetRecordingsRequest",
        "type": "object"
      },
      "MediaUrlConfig": {
        "description": "Configuration for media_url expiration.",
        "properties": {
          "expire_in": {
            "description": "Optional expiration time in seconds (1h-24h). Defaults to 12h if not specified.",
            "maximum": 86400,
            "minimum": 3600,
            "title": "Expire In",
            "type": [
              "integer",
              "null"
            ]
          }
        },
        "title": "MediaUrlConfig",
        "type": "object"
      },
      "RecordingFilters": {
        "properties": {
          "event_guid": {
            "title": "Event Guid",
            "type": [
              "string",
              "null"
            ]
          },
          "created_at_start": {
            "title": "Created At Start",
            "type": [
              "string",
              "null"
            ]
          },
          "created_at_end": {
            "title": "Created At End",
            "type": [
              "string",
              "null"
            ]
          },
          "updated_at_start": {
            "title": "Updated At Start",
            "type": [
              "string",
              "null"
            ]
          },
          "updated_at_end": {
            "title": "Updated At End",
            "type": [
              "string",
              "null"
            ]
          },
          "channel_id": {
            "title": "Channel Id",
            "type": [
              "string",
              "null"
            ]
          },
          "title": {
            "title": "Title",
            "type": [
              "string",
              "null"
            ]
          }
        },
        "title": "RecordingFilters",
        "type": "object"
      },
      "RecordingIncludableExpensiveField": {
        "properties": {
          "transcript": {
            "default": false,
            "title": "Transcript",
            "type": "boolean"
          },
          "ai_notes": {
            "default": false,
            "title": "Ai Notes",
            "type": "boolean"
          }
        },
        "title": "RecordingIncludableExpensiveField",
        "type": "object"
      },
      "Recap": {
        "properties": {
          "id": {
            "title": "Id",
            "type": "string"
          },
          "is_active": {
            "title": "Is Active",
            "type": "boolean"
          },
          "title": {
            "title": "Title",
            "type": "string"
          },
          "template_creator": {
            "title": "Template Creator",
            "type": "string"
          },
          "sections": {
            "items": {
              "$ref": "#/components/schemas/RecapTemplateSection"
            },
            "title": "Sections",
            "type": "array"
          }
        },
        "required": [
          "id",
          "is_active",
          "title",
          "template_creator",
          "sections"
        ],
        "title": "Recap",
        "type": "object"
      },
      "RecapActionItem": {
        "properties": {
          "timestamp": {
            "title": "Timestamp",
            "type": "integer"
          },
          "text": {
            "title": "Text",
            "type": "string"
          },
          "id": {
            "title": "Id",
            "type": [
              "string",
              "null"
            ]
          },
          "assignees": {
            "items": {
              "$ref": "#/components/schemas/ActionItemAssignee"
            },
            "title": "Assignees",
            "type": "array"
          },
          "completion_type": {
            "enum": [
              "all",
              "any"
            ],
            "title": "Completion Type",
            "type": [
              "string",
              "null"
            ]
          },
          "due_date": {
            "title": "Due Date",
            "type": [
              "string",
              "null"
            ]
          },
          "accepted": {
            "title": "Accepted",
            "type": "boolean"
          },
          "status": {
            "$ref": "#/components/schemas/ActionItemStatus"
          }
        },
        "required": [
          "timestamp",
          "text",
          "assignees",
          "completion_type",
          "accepted",
          "status"
        ],
        "title": "RecapActionItem",
        "type": "object"
      },
      "RecapBulletPoint": {
        "properties": {
          "timestamp": {
            "title": "Timestamp",
            "type": "integer"
          },
          "text": {
            "title": "Text",
            "type": "string"
          }
        },
        "required": [
          "timestamp",
          "text"
        ],
        "title": "RecapBulletPoint",
        "type": "object"
      },
      "RecapDecision": {
        "properties": {
          "timestamp": {
            "title": "Timestamp",
            "type": "integer"
          },
          "text": {
            "title": "Text",
            "type": "string"
          }
        },
        "required": [
          "timestamp",
          "text"
        ],
        "title": "RecapDecision",
        "type": "object"
      },
      "RecapKeyMoment": {
        "properties": {
          "timestamp": {
            "title": "Timestamp",
            "type": "integer"
          },
          "text": {
            "title": "Text",
            "type": "string"
          }
        },
        "required": [
          "timestamp",
          "text"
        ],
        "title": "RecapKeyMoment",
        "type": "object"
      },
      "RecapTemplateSection": {
        "properties": {
          "title": {
            "title": "Title",
            "type": "string"
          },
          "type": {
            "$ref": "#/components/schemas/RecapTemplateSectionType"
          },
          "content": {
            "anyOf": [
              {
                "items": {
                  "$ref": "#/components/schemas/RecapKeyMoment"
                },
                "title": "Key Moments Array",
                "type": "array"
              },
              {
                "items": {
                  "$ref": "#/components/schemas/RecapTopic"
                },
                "title": "Topics Array",
                "type": "array"
              },
              {
                "items": {
                  "$ref": "#/components/schemas/RecapActionItem"
                },
                "title": "Action Items Array",
                "type": "array"
              },
              {
                "items": {
                  "$ref": "#/components/schemas/RecapDecision"
                },
                "title": "Decisions Array",
                "type": "array"
              },
              {
                "type": "string"
              }
            ],
            "title": "Content"
          }
        },
        "required": [
          "title",
          "type",
          "content"
        ],
        "title": "RecapTemplateSection",
        "type": "object"
      },
      "RecapTemplateSectionType": {
        "enum": [
          "STANDARD",
          "CUSTOM"
        ],
        "title": "APIRecapTemplateSectionType",
        "type": "string"
      },
      "RecapTopic": {
        "properties": {
          "title": {
            "title": "Title",
            "type": "string"
          },
          "bullet_points": {
            "items": {
              "$ref": "#/components/schemas/RecapBulletPoint"
            },
            "title": "Bullet Points",
            "type": "array"
          }
        },
        "required": [
          "title",
          "bullet_points"
        ],
        "title": "RecapTopic",
        "type": "object"
      },
      "Transcript": {
        "properties": {
          "speech_segments": {
            "items": {
              "$ref": "#/components/schemas/TranscriptSegment"
            },
            "title": "Speech Segments",
            "type": "array"
          },
          "language_code": {
            "title": "Language Code",
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "speech_segments"
        ],
        "title": "Transcript",
        "type": "object"
      },
      "TranscriptSegment": {
        "properties": {
          "start": {
            "title": "Start",
            "type": "number"
          },
          "end": {
            "title": "End",
            "type": "number"
          },
          "speaker": {
            "title": "Speaker",
            "type": [
              "string",
              "null"
            ]
          },
          "text": {
            "title": "Text",
            "type": "string"
          }
        },
        "required": [
          "start",
          "end",
          "speaker",
          "text"
        ],
        "title": "TranscriptSegment",
        "type": "object"
      }
    },
    "securitySchemes": {
      "DeveloperAPIKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    }
  },
  "servers": [
    {
      "url": "https://{subdomain}.fellow.app",
      "description": "Fellow",
      "variables": {
        "subdomain": {
          "default": "your-fellow-subdomain",
          "description": "The subdomain for your Fellow workspace"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Recordings",
      "description": "Access and manage meeting recordings. Retrieve individual recordings, list recordings with filters and pagination, or delete recordings (privileged access required)."
    }
  ]
}
```